# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.6)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.20)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget MLIRAnalysis MLIRLoopAnalysis MLIRPresburger MLIRAffineToStandard MLIRArmNeon2dToIntr MLIRAsyncToLLVM MLIRComplexToLLVM MLIRComplexToStandard MLIRGPUToGPURuntimeTransforms MLIRGPUToNVVMTransforms MLIRGPUToROCDLTransforms MLIRGPUToSPIRV MLIRGPUToVulkanTransforms MLIRLinalgToLLVM MLIRLinalgToSPIRV MLIRLinalgToStandard MLIRLLVMCommonConversion MLIRMathToLibm MLIRMathToLLVM MLIRMemRefToLLVM MLIROpenACCToLLVM MLIROpenACCToSCF MLIROpenMPToLLVM MLIRPDLToPDLInterp MLIRSCFToGPU MLIRSCFToOpenMP MLIRSCFToSPIRV MLIRSCFToStandard MLIRShapeToStandard MLIRSPIRVToLLVM MLIRStandardToLLVM MLIRStandardToSPIRV MLIRTosaToLinalg MLIRTosaToSCF MLIRTosaToStandard MLIRVectorToROCDL MLIRVectorToLLVM MLIRVectorToGPU MLIRVectorToSCF MLIRVectorToSPIRV MLIRAffine MLIRAffineTransforms MLIRAffineUtils MLIRArmNeon MLIRArmSVE MLIRArmSVETransforms MLIRAsync MLIRAsyncTransforms MLIRAMX MLIRAMXTransforms MLIRComplex MLIRDLTI MLIREmitC MLIRGPUOps MLIRGPUTransforms MLIRLinalgAnalysis MLIRLinalg MLIRLinalgTransforms MLIRLinalgUtils MLIRLLVMIRTransforms MLIRLLVMIR MLIRNVVMIR MLIRROCDLIR MLIRMath MLIRMathTransforms MLIRMemRef MLIRMemRefTransforms MLIRMemRefUtils MLIROpenACC MLIROpenMP MLIRPDL MLIRPDLInterp MLIRQuant MLIRSCF MLIRSCFTransforms MLIRShape MLIRShapeOpsTransforms MLIRSparseTensor MLIRSparseTensorTransforms MLIRSparseTensorUtils MLIRSPIRV MLIRSPIRVModuleCombiner MLIRSPIRVConversion MLIRSPIRVTransforms MLIRSPIRVUtils MLIRStandard MLIRStandardOpsTransforms MLIRTensor MLIRTensorTransforms MLIRTosa MLIRTosaTransforms MLIRDialectUtils MLIRVector MLIRX86Vector MLIRX86VectorTransforms MLIRDialect MLIRExecutionEngine MLIRJitRunner mlir_c_runner_utils mlir_runner_utils mlir_async_runtime MLIRIR MLIRCallInterfaces MLIRCastInterfaces MLIRControlFlowInterfaces MLIRCopyOpInterface MLIRDataLayoutInterfaces MLIRDerivedAttributeOpInterface MLIRInferTypeOpInterface MLIRLoopLikeInterface MLIRSideEffectInterfaces MLIRVectorInterfaces MLIRViewLikeInterface MLIRParser MLIRPass MLIRReduce MLIRRewrite MLIRSupport MLIROptLib MLIRTableGen MLIRSPIRVDeserialization MLIRSPIRVSerialization MLIRSPIRVBinaryUtils MLIRSPIRVTranslateRegistration MLIRArmNeonToLLVMIRTranslation MLIRArmSVEToLLVMIRTranslation MLIRAMXToLLVMIRTranslation MLIRLLVMToLLVMIRTranslation MLIRNVVMToLLVMIRTranslation MLIROpenACCToLLVMIRTranslation MLIROpenMPToLLVMIRTranslation MLIRROCDLToLLVMIRTranslation MLIRX86VectorToLLVMIRTranslation MLIRTargetLLVMIRExport MLIRToLLVMIRTranslationRegistration MLIRTargetLLVMIRImport MLIRLspServerLib MLIRReduceLib MLIRTransformUtils MLIRTransforms MLIRTranslation MLIRCAPIDebug MLIRCAPIAsync MLIRCAPIGPU MLIRCAPILLVM MLIRCAPILinalg MLIRCAPISCF MLIRCAPIShape MLIRCAPISparseTensor MLIRCAPIStandard MLIRCAPITensor MLIRCAPIConversion MLIRCEXECUTIONENGINE MLIRCAPIIR MLIRCAPIRegistration MLIRCAPITransforms MLIRMlirOptMain MLIR)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target MLIRAnalysis
add_library(MLIRAnalysis STATIC IMPORTED)

set_target_properties(MLIRAnalysis PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRCallInterfaces;MLIRControlFlowInterfaces;MLIRDataLayoutInterfaces;MLIRInferTypeOpInterface;MLIRLinalg;MLIRSCF;LLVM"
)

# Create imported target MLIRLoopAnalysis
add_library(MLIRLoopAnalysis STATIC IMPORTED)

set_target_properties(MLIRLoopAnalysis PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRAnalysis;MLIRCallInterfaces;MLIRControlFlowInterfaces;MLIRInferTypeOpInterface;MLIRPresburger;MLIRSCF;LLVM"
)

# Create imported target MLIRPresburger
add_library(MLIRPresburger STATIC IMPORTED)

set_target_properties(MLIRPresburger PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRAffineToStandard
add_library(MLIRAffineToStandard STATIC IMPORTED)

set_target_properties(MLIRAffineToStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRMemRef;MLIRSCF;MLIRPass;MLIRStandard;MLIRTransforms;MLIRIR;LLVM"
)

# Create imported target MLIRArmNeon2dToIntr
add_library(MLIRArmNeon2dToIntr STATIC IMPORTED)

set_target_properties(MLIRArmNeon2dToIntr PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArmNeon;MLIRPass;MLIRTransforms;MLIRIR;LLVM"
)

# Create imported target MLIRAsyncToLLVM
add_library(MLIRAsyncToLLVM STATIC IMPORTED)

set_target_properties(MLIRAsyncToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAsync;MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRStandardOpsTransforms;MLIRStandardToLLVM;MLIRTransforms;LLVM"
)

# Create imported target MLIRComplexToLLVM
add_library(MLIRComplexToLLVM STATIC IMPORTED)

set_target_properties(MLIRComplexToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRComplex;MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRStandardOpsTransforms;MLIRTransforms;LLVM"
)

# Create imported target MLIRComplexToStandard
add_library(MLIRComplexToStandard STATIC IMPORTED)

set_target_properties(MLIRComplexToStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRComplex;MLIRIR;MLIRMath;MLIRStandard;MLIRTransforms;LLVM"
)

# Create imported target MLIRGPUToGPURuntimeTransforms
add_library(MLIRGPUToGPURuntimeTransforms STATIC IMPORTED)

set_target_properties(MLIRGPUToGPURuntimeTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAsyncToLLVM;MLIRGPUTransforms;MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRMemRefToLLVM;MLIRPass;MLIRSupport;MLIRStandardToLLVM;MLIRVectorToLLVM;LLVM"
)

# Create imported target MLIRGPUToNVVMTransforms
add_library(MLIRGPUToNVVMTransforms STATIC IMPORTED)

set_target_properties(MLIRGPUToNVVMTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRGPUOps;MLIRGPUToGPURuntimeTransforms;MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRMemRef;MLIRMemRefToLLVM;MLIRNVVMIR;MLIRPass;MLIRStandardToLLVM;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRGPUToROCDLTransforms
add_library(MLIRGPUToROCDLTransforms STATIC IMPORTED)

set_target_properties(MLIRGPUToROCDLTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRGPUOps;MLIRGPUToGPURuntimeTransforms;MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRMemRefToLLVM;MLIRROCDLIR;MLIRPass;MLIRStandardToLLVM;MLIRVectorToROCDL;LLVM"
)

# Create imported target MLIRGPUToSPIRV
add_library(MLIRGPUToSPIRV STATIC IMPORTED)

set_target_properties(MLIRGPUToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRGPUOps;MLIRIR;MLIRPass;MLIRSCFToSPIRV;MLIRSPIRV;MLIRSPIRVConversion;MLIRStandard;MLIRStandardToSPIRV;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRGPUToVulkanTransforms
add_library(MLIRGPUToVulkanTransforms STATIC IMPORTED)

set_target_properties(MLIRGPUToVulkanTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRGPUOps;MLIRIR;MLIRLLVMIR;MLIRPass;MLIRSPIRV;MLIRSPIRVSerialization;MLIRStandard;MLIRSupport;MLIRTransforms;MLIRTranslation;LLVM"
)

# Create imported target MLIRLinalgToLLVM
add_library(MLIRLinalgToLLVM STATIC IMPORTED)

set_target_properties(MLIRLinalgToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineToStandard;MLIRIR;MLIRLinalg;MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRMemRefToLLVM;MLIRSCFToStandard;MLIRTransforms;MLIRVectorToLLVM;MLIRVectorToSCF;LLVM"
)

# Create imported target MLIRLinalgToSPIRV
add_library(MLIRLinalgToSPIRV STATIC IMPORTED)

set_target_properties(MLIRLinalgToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLinalg;MLIRLinalgUtils;MLIRPass;MLIRSPIRV;MLIRSPIRVConversion;MLIRSupport;LLVM"
)

# Create imported target MLIRLinalgToStandard
add_library(MLIRLinalgToStandard STATIC IMPORTED)

set_target_properties(MLIRLinalgToStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLinalg;MLIRMemRef;MLIRPass;MLIRSCF;MLIRTransforms;LLVM"
)

# Create imported target MLIRLLVMCommonConversion
add_library(MLIRLLVMCommonConversion STATIC IMPORTED)

set_target_properties(MLIRLLVMCommonConversion PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRMathToLibm
add_library(MLIRMathToLibm STATIC IMPORTED)

set_target_properties(MLIRMathToLibm PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRMath;MLIRStandardOpsTransforms;LLVM"
)

# Create imported target MLIRMathToLLVM
add_library(MLIRMathToLLVM STATIC IMPORTED)

set_target_properties(MLIRMathToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRMath;MLIRPass;MLIRTransforms;LLVM"
)

# Create imported target MLIRMemRefToLLVM
add_library(MLIRMemRefToLLVM STATIC IMPORTED)

set_target_properties(MLIRMemRefToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRDataLayoutInterfaces;MLIRLLVMCommonConversion;MLIRMemRef;MLIRLLVMIR;MLIRTransforms;LLVM"
)

# Create imported target MLIROpenACCToLLVM
add_library(MLIROpenACCToLLVM STATIC IMPORTED)

set_target_properties(MLIROpenACCToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRMemRefToLLVM;MLIROpenACC;MLIRTransforms;LLVM"
)

# Create imported target MLIROpenACCToSCF
add_library(MLIROpenACCToSCF STATIC IMPORTED)

set_target_properties(MLIROpenACCToSCF PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIROpenACC;MLIRTransforms;MLIRSCF;LLVM"
)

# Create imported target MLIROpenMPToLLVM
add_library(MLIROpenMPToLLVM STATIC IMPORTED)

set_target_properties(MLIROpenMPToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRMemRefToLLVM;MLIROpenMP;MLIRStandardToLLVM;MLIRTransforms;LLVM"
)

# Create imported target MLIRPDLToPDLInterp
add_library(MLIRPDLToPDLInterp STATIC IMPORTED)

set_target_properties(MLIRPDLToPDLInterp PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRInferTypeOpInterface;MLIRPDL;MLIRPDLInterp;MLIRPass;LLVM"
)

# Create imported target MLIRSCFToGPU
add_library(MLIRSCFToGPU STATIC IMPORTED)

set_target_properties(MLIRSCFToGPU PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRAffineToStandard;MLIRComplex;MLIRGPUTransforms;MLIRIR;MLIRLinalg;MLIRMemRef;MLIRPass;MLIRStandard;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRSCFToOpenMP
add_library(MLIRSCFToOpenMP STATIC IMPORTED)

set_target_properties(MLIRSCFToOpenMP PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIROpenMP;MLIRSCF;MLIRTransforms;LLVM"
)

# Create imported target MLIRSCFToSPIRV
add_library(MLIRSCFToSPIRV STATIC IMPORTED)

set_target_properties(MLIRSCFToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSPIRV;MLIRSPIRVConversion;MLIRStandardToSPIRV;MLIRIR;MLIRPass;MLIRStandard;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRSCFToStandard
add_library(MLIRSCFToStandard STATIC IMPORTED)

set_target_properties(MLIRSCFToStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSCF;MLIRTransforms;LLVM"
)

# Create imported target MLIRShapeToStandard
add_library(MLIRShapeToStandard STATIC IMPORTED)

set_target_properties(MLIRShapeToStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRShape;MLIRTensor;MLIRPass;MLIRSCF;MLIRTransforms;LLVM"
)

# Create imported target MLIRSPIRVToLLVM
add_library(MLIRSPIRVToLLVM STATIC IMPORTED)

set_target_properties(MLIRSPIRVToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRGPUOps;MLIRSPIRV;MLIRSPIRVUtils;MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRMemRefToLLVM;MLIRStandardToLLVM;MLIRIR;MLIRTransforms;LLVM"
)

# Create imported target MLIRStandardToLLVM
add_library(MLIRStandardToLLVM STATIC IMPORTED)

set_target_properties(MLIRStandardToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRDataLayoutInterfaces;MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRMath;MLIRTransforms;LLVM"
)

# Create imported target MLIRStandardToSPIRV
add_library(MLIRStandardToSPIRV STATIC IMPORTED)

set_target_properties(MLIRStandardToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRMath;MLIRMemRef;MLIRPass;MLIRSPIRV;MLIRSPIRVConversion;MLIRSupport;MLIRTransformUtils;MLIRStandard;LLVM"
)

# Create imported target MLIRTosaToLinalg
add_library(MLIRTosaToLinalg STATIC IMPORTED)

set_target_properties(MLIRTosaToLinalg PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialectUtils;MLIRIR;MLIRLinalg;MLIRLinalgUtils;MLIRMath;MLIRPass;MLIRTensor;MLIRTosa;MLIRTosaTransforms;MLIRSupport;LLVM"
)

# Create imported target MLIRTosaToSCF
add_library(MLIRTosaToSCF STATIC IMPORTED)

set_target_properties(MLIRTosaToSCF PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSCF;MLIRStandard;MLIRPass;MLIRTensor;MLIRTosa;MLIRTosaTransforms;MLIRSupport;LLVM"
)

# Create imported target MLIRTosaToStandard
add_library(MLIRTosaToStandard STATIC IMPORTED)

set_target_properties(MLIRTosaToStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRStandard;MLIRPass;MLIRTosa;MLIRTosaTransforms;MLIRSupport;LLVM"
)

# Create imported target MLIRVectorToROCDL
add_library(MLIRVectorToROCDL STATIC IMPORTED)

set_target_properties(MLIRVectorToROCDL PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRROCDLIR;MLIRLLVMCommonConversion;MLIRMemRefToLLVM;MLIRStandardToLLVM;MLIRVector;MLIRTransforms;LLVM"
)

# Create imported target MLIRVectorToLLVM
add_library(MLIRVectorToLLVM STATIC IMPORTED)

set_target_properties(MLIRVectorToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArmNeon;MLIRArmSVE;MLIRArmSVETransforms;MLIRAMX;MLIRAMXTransforms;MLIRLLVMCommonConversion;MLIRLLVMIR;MLIRMemRef;MLIRTargetLLVMIRExport;MLIRTransforms;MLIRVector;MLIRX86Vector;MLIRX86VectorTransforms;LLVM"
)

# Create imported target MLIRVectorToGPU
add_library(MLIRVectorToGPU STATIC IMPORTED)

set_target_properties(MLIRVectorToGPU PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRGPUOps;MLIRLLVMIR;MLIRMemRef;MLIRTransforms;LLVM"
)

# Create imported target MLIRVectorToSCF
add_library(MLIRVectorToSCF STATIC IMPORTED)

set_target_properties(MLIRVectorToSCF PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRLLVMIR;MLIRMemRef;MLIRTransforms;LLVM"
)

# Create imported target MLIRVectorToSPIRV
add_library(MLIRVectorToSPIRV STATIC IMPORTED)

set_target_properties(MLIRVectorToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSPIRV;MLIRSPIRVConversion;MLIRVector;MLIRTransforms;LLVM"
)

# Create imported target MLIRAffine
add_library(MLIRAffine STATIC IMPORTED)

set_target_properties(MLIRAffine PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLoopLikeInterface;MLIRMemRef;MLIRSideEffectInterfaces;MLIRStandard;LLVM"
)

# Create imported target MLIRAffineTransforms
add_library(MLIRAffineTransforms STATIC IMPORTED)

set_target_properties(MLIRAffineTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRAffineUtils;MLIRIR;MLIRMemRef;MLIRPass;MLIRSideEffectInterfaces;MLIRStandard;MLIRTransformUtils;MLIRVector;MLIRVectorToLLVM;LLVM"
)

# Create imported target MLIRAffineUtils
add_library(MLIRAffineUtils STATIC IMPORTED)

set_target_properties(MLIRAffineUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRAnalysis;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRArmNeon
add_library(MLIRArmNeon STATIC IMPORTED)

set_target_properties(MLIRArmNeon PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRArmSVE
add_library(MLIRArmSVE STATIC IMPORTED)

set_target_properties(MLIRArmSVE PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRStandard;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRArmSVETransforms
add_library(MLIRArmSVETransforms STATIC IMPORTED)

set_target_properties(MLIRArmSVETransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArmSVE;MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMIR;LLVM"
)

# Create imported target MLIRAsync
add_library(MLIRAsync STATIC IMPORTED)

set_target_properties(MLIRAsync PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialect;MLIRIR;LLVM"
)

# Create imported target MLIRAsyncTransforms
add_library(MLIRAsyncTransforms STATIC IMPORTED)

set_target_properties(MLIRAsyncTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRAsync;MLIRPass;MLIRSCF;MLIRSCFToStandard;MLIRStandard;MLIRTransforms;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRAMX
add_library(MLIRAMX STATIC IMPORTED)

set_target_properties(MLIRAMX PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRAMXTransforms
add_library(MLIRAMXTransforms STATIC IMPORTED)

set_target_properties(MLIRAMXTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAMX;MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMIR;LLVM"
)

# Create imported target MLIRComplex
add_library(MLIRComplex STATIC IMPORTED)

set_target_properties(MLIRComplex PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialect;MLIRIR;LLVM"
)

# Create imported target MLIRDLTI
add_library(MLIRDLTI STATIC IMPORTED)

set_target_properties(MLIRDLTI PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRDataLayoutInterfaces;LLVM"
)

# Create imported target MLIREmitC
add_library(MLIREmitC STATIC IMPORTED)

set_target_properties(MLIREmitC PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRGPUOps
add_library(MLIRGPUOps STATIC IMPORTED)

set_target_properties(MLIRGPUOps PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDLTI;MLIRIR;MLIRMemRef;MLIRSideEffectInterfaces;MLIRSupport;LLVM"
)

# Create imported target MLIRGPUTransforms
add_library(MLIRGPUTransforms STATIC IMPORTED)

set_target_properties(MLIRGPUTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAsync;MLIRDataLayoutInterfaces;MLIRGPUOps;MLIRIR;MLIRLLVMIR;MLIRLLVMToLLVMIRTranslation;MLIRMemRef;MLIRPass;MLIRSCF;MLIRStandard;MLIRSupport;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRLinalgAnalysis
add_library(MLIRLinalgAnalysis STATIC IMPORTED)

set_target_properties(MLIRLinalgAnalysis PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRIR;MLIRLinalg;MLIRLoopAnalysis;MLIRMemRef;MLIRStandard;LLVM"
)

# Create imported target MLIRLinalg
add_library(MLIRLinalg STATIC IMPORTED)

set_target_properties(MLIRLinalg PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRDialectUtils;MLIRInferTypeOpInterface;MLIRIR;MLIRParser;MLIRSideEffectInterfaces;MLIRViewLikeInterface;MLIRStandard;MLIRMath;MLIRMemRef;MLIRTensor;LLVM"
)

# Create imported target MLIRLinalgTransforms
add_library(MLIRLinalgTransforms STATIC IMPORTED)

set_target_properties(MLIRLinalgTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRAffineUtils;MLIRAnalysis;MLIRComplex;MLIRIR;MLIRMemRef;MLIRLinalgAnalysis;MLIRLinalg;MLIRLinalgUtils;MLIRSCF;MLIRSCFTransforms;MLIRPass;MLIRStandard;MLIRStandardOpsTransforms;MLIRStandardToLLVM;MLIRTensor;MLIRTransforms;MLIRTransformUtils;MLIRVector;MLIRVectorToSCF;LLVM"
)

# Create imported target MLIRLinalgUtils
add_library(MLIRLinalgUtils STATIC IMPORTED)

set_target_properties(MLIRLinalgUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRIR;MLIRLinalg;MLIRSCF;MLIRPass;MLIRStandard;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRLLVMIRTransforms
add_library(MLIRLLVMIRTransforms STATIC IMPORTED)

set_target_properties(MLIRLLVMIRTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRPass;LLVM"
)

# Create imported target MLIRLLVMIR
add_library(MLIRLLVMIR STATIC IMPORTED)

set_target_properties(MLIRLLVMIR PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCallInterfaces;MLIRControlFlowInterfaces;MLIRDataLayoutInterfaces;MLIRIR;MLIRSideEffectInterfaces;MLIRSupport;LLVM"
)

# Create imported target MLIRNVVMIR
add_library(MLIRNVVMIR STATIC IMPORTED)

set_target_properties(MLIRNVVMIR PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRROCDLIR
add_library(MLIRROCDLIR STATIC IMPORTED)

set_target_properties(MLIRROCDLIR PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSideEffectInterfaces;MLIRVectorToLLVM;LLVM"
)

# Create imported target MLIRMath
add_library(MLIRMath STATIC IMPORTED)

set_target_properties(MLIRMath PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialect;MLIRIR;LLVM"
)

# Create imported target MLIRMathTransforms
add_library(MLIRMathTransforms STATIC IMPORTED)

set_target_properties(MLIRMathTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRMath;MLIRPass;MLIRStandard;MLIRTransforms;LLVM"
)

# Create imported target MLIRMemRef
add_library(MLIRMemRef STATIC IMPORTED)

set_target_properties(MLIRMemRef PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialect;MLIRDialectUtils;MLIRInferTypeOpInterface;MLIRIR;MLIRMemRefUtils;MLIRStandard;MLIRTensor;MLIRViewLikeInterface;LLVM"
)

# Create imported target MLIRMemRefTransforms
add_library(MLIRMemRefTransforms STATIC IMPORTED)

set_target_properties(MLIRMemRefTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRInferTypeOpInterface;MLIRMemRef;MLIRPass;MLIRStandard;MLIRTensor;MLIRTransforms;MLIRVector;LLVM"
)

# Create imported target MLIRMemRefUtils
add_library(MLIRMemRefUtils STATIC IMPORTED)

set_target_properties(MLIRMemRefUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIROpenACC
add_library(MLIROpenACC STATIC IMPORTED)

set_target_properties(MLIROpenACC PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIROpenMP
add_library(MLIROpenMP STATIC IMPORTED)

set_target_properties(MLIROpenMP PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;LLVM"
)

# Create imported target MLIRPDL
add_library(MLIRPDL STATIC IMPORTED)

set_target_properties(MLIRPDL PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRInferTypeOpInterface;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRPDLInterp
add_library(MLIRPDLInterp STATIC IMPORTED)

set_target_properties(MLIRPDLInterp PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRPDL;MLIRInferTypeOpInterface;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRQuant
add_library(MLIRQuant STATIC IMPORTED)

set_target_properties(MLIRQuant PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRPass;MLIRSideEffectInterfaces;MLIRSupport;MLIRStandard;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRSCF
add_library(MLIRSCF STATIC IMPORTED)

set_target_properties(MLIRSCF PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLoopLikeInterface;MLIRMemRef;MLIRSideEffectInterfaces;MLIRStandard;LLVM"
)

# Create imported target MLIRSCFTransforms
add_library(MLIRSCFTransforms STATIC IMPORTED)

set_target_properties(MLIRSCFTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRIR;MLIRMemRef;MLIRPass;MLIRSCF;MLIRStandard;MLIRSupport;MLIRTransforms;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRShape
add_library(MLIRShape STATIC IMPORTED)

set_target_properties(MLIRShape PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCastInterfaces;MLIRControlFlowInterfaces;MLIRDialect;MLIRInferTypeOpInterface;MLIRIR;MLIRSideEffectInterfaces;MLIRStandard;MLIRTensor;LLVM"
)

# Create imported target MLIRShapeOpsTransforms
add_library(MLIRShapeOpsTransforms STATIC IMPORTED)

set_target_properties(MLIRShapeOpsTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM;MLIRIR;MLIRMemRef;MLIRPass;MLIRShape;MLIRSupport;MLIRTransforms"
)

# Create imported target MLIRSparseTensor
add_library(MLIRSparseTensor STATIC IMPORTED)

set_target_properties(MLIRSparseTensor PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialect;MLIRIR;MLIRSupport;LLVM"
)

# Create imported target MLIRSparseTensorTransforms
add_library(MLIRSparseTensorTransforms STATIC IMPORTED)

set_target_properties(MLIRSparseTensorTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRLinalg;MLIRLinalgTransforms;MLIRMemRef;MLIRPass;MLIRSCF;MLIRStandard;MLIRSparseTensor;MLIRSparseTensorUtils;MLIRTensor;MLIRTransforms;MLIRVector;LLVM"
)

# Create imported target MLIRSparseTensorUtils
add_library(MLIRSparseTensorUtils STATIC IMPORTED)

set_target_properties(MLIRSparseTensorUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLinalg;LLVM"
)

# Create imported target MLIRSPIRV
add_library(MLIRSPIRV STATIC IMPORTED)

set_target_properties(MLIRSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRControlFlowInterfaces;MLIRIR;MLIRParser;MLIRSideEffectInterfaces;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRSPIRVModuleCombiner
add_library(MLIRSPIRVModuleCombiner STATIC IMPORTED)

set_target_properties(MLIRSPIRVModuleCombiner PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSPIRV;MLIRSupport;LLVM"
)

# Create imported target MLIRSPIRVConversion
add_library(MLIRSPIRVConversion STATIC IMPORTED)

set_target_properties(MLIRSPIRVConversion PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSPIRV;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRSPIRVTransforms
add_library(MLIRSPIRVTransforms STATIC IMPORTED)

set_target_properties(MLIRSPIRVTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRPass;MLIRSPIRVConversion;MLIRSPIRVUtils;LLVM"
)

# Create imported target MLIRSPIRVUtils
add_library(MLIRSPIRVUtils STATIC IMPORTED)

set_target_properties(MLIRSPIRVUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSPIRV;LLVM"
)

# Create imported target MLIRStandard
add_library(MLIRStandard STATIC IMPORTED)

set_target_properties(MLIRStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCallInterfaces;MLIRCastInterfaces;MLIRControlFlowInterfaces;MLIRIR;MLIRSideEffectInterfaces;MLIRVectorInterfaces;LLVM"
)

# Create imported target MLIRStandardOpsTransforms
add_library(MLIRStandardOpsTransforms STATIC IMPORTED)

set_target_properties(MLIRStandardOpsTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRMemRef;MLIRPass;MLIRSCF;MLIRStandard;MLIRTransforms;LLVM"
)

# Create imported target MLIRTensor
add_library(MLIRTensor STATIC IMPORTED)

set_target_properties(MLIRTensor PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCastInterfaces;MLIRDialectUtils;MLIRIR;MLIRInferTypeOpInterface;MLIRSideEffectInterfaces;MLIRSupport;MLIRStandard;MLIRViewLikeInterface;LLVM"
)

# Create imported target MLIRTensorTransforms
add_library(MLIRTensorTransforms STATIC IMPORTED)

set_target_properties(MLIRTensorTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRMemRef;MLIRPass;MLIRSCF;MLIRTensor;MLIRTransforms;LLVM"
)

# Create imported target MLIRTosa
add_library(MLIRTosa STATIC IMPORTED)

set_target_properties(MLIRTosa PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRDialect;MLIRStandard;MLIRCallInterfaces;MLIRControlFlowInterfaces;MLIRQuant;MLIRSideEffectInterfaces;MLIRViewLikeInterface;LLVM"
)

# Create imported target MLIRTosaTransforms
add_library(MLIRTosaTransforms STATIC IMPORTED)

set_target_properties(MLIRTosaTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRPass;MLIRTosa;LLVM"
)

# Create imported target MLIRDialectUtils
add_library(MLIRDialectUtils STATIC IMPORTED)

set_target_properties(MLIRDialectUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRVector
add_library(MLIRVector STATIC IMPORTED)

set_target_properties(MLIRVector PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialectUtils;MLIRIR;MLIRStandard;MLIRAffine;MLIRAffineUtils;MLIRLinalg;MLIRMemRef;MLIRSCF;MLIRLoopAnalysis;MLIRDataLayoutInterfaces;MLIRSideEffectInterfaces;MLIRVectorInterfaces;LLVM"
)

# Create imported target MLIRX86Vector
add_library(MLIRX86Vector STATIC IMPORTED)

set_target_properties(MLIRX86Vector PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRX86VectorTransforms
add_library(MLIRX86VectorTransforms STATIC IMPORTED)

set_target_properties(MLIRX86VectorTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRX86Vector;MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMIR;LLVM"
)

# Create imported target MLIRDialect
add_library(MLIRDialect STATIC IMPORTED)

set_target_properties(MLIRDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRExecutionEngine
add_library(MLIRExecutionEngine STATIC IMPORTED)

set_target_properties(MLIRExecutionEngine PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRLLVMIR;MLIRLLVMToLLVMIRTranslation;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRJitRunner
add_library(MLIRJitRunner STATIC IMPORTED)

set_target_properties(MLIRJitRunner PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRAffineTransforms;MLIRAffineUtils;MLIRArmNeon;MLIRArmSVE;MLIRArmSVETransforms;MLIRAsync;MLIRAsyncTransforms;MLIRAMX;MLIRAMXTransforms;MLIRComplex;MLIRDLTI;MLIREmitC;MLIRGPUOps;MLIRGPUTransforms;MLIRLinalgAnalysis;MLIRLinalg;MLIRLinalgTransforms;MLIRLinalgUtils;MLIRLLVMIRTransforms;MLIRLLVMIR;MLIRNVVMIR;MLIRROCDLIR;MLIRMath;MLIRMathTransforms;MLIRMemRef;MLIRMemRefTransforms;MLIRMemRefUtils;MLIROpenACC;MLIROpenMP;MLIRPDL;MLIRPDLInterp;MLIRQuant;MLIRSCF;MLIRSCFTransforms;MLIRShape;MLIRShapeOpsTransforms;MLIRSparseTensor;MLIRSparseTensorTransforms;MLIRSparseTensorUtils;MLIRSPIRV;MLIRSPIRVModuleCombiner;MLIRSPIRVConversion;MLIRSPIRVTransforms;MLIRSPIRVUtils;MLIRStandard;MLIRStandardOpsTransforms;MLIRTensor;MLIRTensorTransforms;MLIRTosa;MLIRTosaTransforms;MLIRVector;MLIRX86Vector;MLIRX86VectorTransforms;MLIRExecutionEngine;MLIRIR;MLIRParser;MLIRStandard;MLIRLLVMToLLVMIRTranslation;MLIRTargetLLVMIRExport;MLIRTransforms;MLIRStandardToLLVM;MLIRSupport;LLVM"
)

# Create imported target mlir_c_runner_utils
add_library(mlir_c_runner_utils SHARED IMPORTED)

# Create imported target mlir_runner_utils
add_library(mlir_runner_utils SHARED IMPORTED)

# Create imported target mlir_async_runtime
add_library(mlir_async_runtime SHARED IMPORTED)

set_target_properties(mlir_async_runtime PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM"
)

# Create imported target MLIRIR
add_library(MLIRIR STATIC IMPORTED)

set_target_properties(MLIRIR PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSupport;LLVM"
)

# Create imported target MLIRCallInterfaces
add_library(MLIRCallInterfaces STATIC IMPORTED)

set_target_properties(MLIRCallInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRCastInterfaces
add_library(MLIRCastInterfaces STATIC IMPORTED)

set_target_properties(MLIRCastInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRControlFlowInterfaces
add_library(MLIRControlFlowInterfaces STATIC IMPORTED)

set_target_properties(MLIRControlFlowInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRCopyOpInterface
add_library(MLIRCopyOpInterface STATIC IMPORTED)

set_target_properties(MLIRCopyOpInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRDataLayoutInterfaces
add_library(MLIRDataLayoutInterfaces STATIC IMPORTED)

set_target_properties(MLIRDataLayoutInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRDerivedAttributeOpInterface
add_library(MLIRDerivedAttributeOpInterface STATIC IMPORTED)

set_target_properties(MLIRDerivedAttributeOpInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRInferTypeOpInterface
add_library(MLIRInferTypeOpInterface STATIC IMPORTED)

set_target_properties(MLIRInferTypeOpInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRLoopLikeInterface
add_library(MLIRLoopLikeInterface STATIC IMPORTED)

set_target_properties(MLIRLoopLikeInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRSideEffectInterfaces
add_library(MLIRSideEffectInterfaces STATIC IMPORTED)

set_target_properties(MLIRSideEffectInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRVectorInterfaces
add_library(MLIRVectorInterfaces STATIC IMPORTED)

set_target_properties(MLIRVectorInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRViewLikeInterface
add_library(MLIRViewLikeInterface STATIC IMPORTED)

set_target_properties(MLIRViewLikeInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRParser
add_library(MLIRParser STATIC IMPORTED)

set_target_properties(MLIRParser PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRPass
add_library(MLIRPass STATIC IMPORTED)

set_target_properties(MLIRPass PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRIR;LLVM"
)

# Create imported target MLIRReduce
add_library(MLIRReduce STATIC IMPORTED)

set_target_properties(MLIRReduce PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRPass;MLIRRewrite;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRRewrite
add_library(MLIRRewrite STATIC IMPORTED)

set_target_properties(MLIRRewrite PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRPDL;MLIRPDLInterp;MLIRPDLToPDLInterp;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRSupport
add_library(MLIRSupport STATIC IMPORTED)

set_target_properties(MLIRSupport PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM"
)

# Create imported target MLIROptLib
add_library(MLIROptLib STATIC IMPORTED)

set_target_properties(MLIROptLib PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRPass;MLIRParser;MLIRSupport;LLVM"
)

# Create imported target MLIRTableGen
add_library(MLIRTableGen STATIC IMPORTED)

# Create imported target MLIRSPIRVDeserialization
add_library(MLIRSPIRVDeserialization STATIC IMPORTED)

set_target_properties(MLIRSPIRVDeserialization PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSPIRV;MLIRSPIRVBinaryUtils;MLIRSupport;MLIRTranslation;LLVM"
)

# Create imported target MLIRSPIRVSerialization
add_library(MLIRSPIRVSerialization STATIC IMPORTED)

set_target_properties(MLIRSPIRVSerialization PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSPIRV;MLIRSPIRVBinaryUtils;MLIRSupport;MLIRTranslation;LLVM"
)

# Create imported target MLIRSPIRVBinaryUtils
add_library(MLIRSPIRVBinaryUtils STATIC IMPORTED)

set_target_properties(MLIRSPIRVBinaryUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSPIRV;MLIRSupport;LLVM"
)

# Create imported target MLIRSPIRVTranslateRegistration
add_library(MLIRSPIRVTranslateRegistration STATIC IMPORTED)

set_target_properties(MLIRSPIRVTranslateRegistration PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSPIRV;MLIRSPIRVSerialization;MLIRSPIRVDeserialization;MLIRSupport;MLIRTranslation;LLVM"
)

# Create imported target MLIRArmNeonToLLVMIRTranslation
add_library(MLIRArmNeonToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRArmNeonToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArmNeon;MLIRIR;MLIRLLVMIR;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRArmSVEToLLVMIRTranslation
add_library(MLIRArmSVEToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRArmSVEToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRArmSVE;MLIRLLVMIR;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRAMXToLLVMIRTranslation
add_library(MLIRAMXToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRAMXToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRAMX;MLIRLLVMIR;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRLLVMToLLVMIRTranslation
add_library(MLIRLLVMToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRLLVMToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRNVVMToLLVMIRTranslation
add_library(MLIRNVVMToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRNVVMToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRNVVMIR;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIROpenACCToLLVMIRTranslation
add_library(MLIROpenACCToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIROpenACCToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIROpenACC;MLIROpenACCToLLVM;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIROpenMPToLLVMIRTranslation
add_library(MLIROpenMPToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIROpenMPToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIROpenMP;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRROCDLToLLVMIRTranslation
add_library(MLIRROCDLToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRROCDLToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMIR;MLIRROCDLIR;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRX86VectorToLLVMIRTranslation
add_library(MLIRX86VectorToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRX86VectorToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRX86Vector;MLIRLLVMIR;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRTargetLLVMIRExport
add_library(MLIRTargetLLVMIRExport STATIC IMPORTED)

set_target_properties(MLIRTargetLLVMIRExport PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRLLVMIR;MLIROpenACC;MLIROpenMP;MLIRLLVMIRTransforms;MLIRTranslation;LLVM"
)

# Create imported target MLIRToLLVMIRTranslationRegistration
add_library(MLIRToLLVMIRTranslationRegistration STATIC IMPORTED)

set_target_properties(MLIRToLLVMIRTranslationRegistration PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArmNeonToLLVMIRTranslation;MLIRArmSVEToLLVMIRTranslation;MLIRAMXToLLVMIRTranslation;MLIRX86VectorToLLVMIRTranslation;MLIRLLVMToLLVMIRTranslation;MLIRNVVMToLLVMIRTranslation;MLIROpenACCToLLVMIRTranslation;MLIROpenMPToLLVMIRTranslation;MLIRROCDLToLLVMIRTranslation;LLVM"
)

# Create imported target MLIRTargetLLVMIRImport
add_library(MLIRTargetLLVMIRImport STATIC IMPORTED)

set_target_properties(MLIRTargetLLVMIRImport PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRLLVMIR;MLIRTranslation;LLVM"
)

# Create imported target MLIRLspServerLib
add_library(MLIRLspServerLib STATIC IMPORTED)

set_target_properties(MLIRLspServerLib PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRParser;LLVM"
)

# Create imported target MLIRReduceLib
add_library(MLIRReduceLib STATIC IMPORTED)

set_target_properties(MLIRReduceLib PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRParser;MLIRPass;MLIRReduce;MLIRSupport;LLVM"
)

# Create imported target MLIRTransformUtils
add_library(MLIRTransformUtils STATIC IMPORTED)

set_target_properties(MLIRTransformUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRAnalysis;MLIRLoopAnalysis;MLIRMemRef;MLIRSCF;MLIRPass;MLIRRewrite;MLIRStandard;LLVM"
)

# Create imported target MLIRTransforms
add_library(MLIRTransforms STATIC IMPORTED)

set_target_properties(MLIRTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRAnalysis;MLIRCopyOpInterface;MLIRLinalg;MLIRLoopLikeInterface;MLIRMemRef;MLIRSCF;MLIRPass;MLIRTransformUtils;MLIRVector;LLVM"
)

# Create imported target MLIRTranslation
add_library(MLIRTranslation STATIC IMPORTED)

set_target_properties(MLIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRParser;LLVM"
)

# Create imported target MLIRCAPIDebug
add_library(MLIRCAPIDebug STATIC IMPORTED)

set_target_properties(MLIRCAPIDebug PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSupport;LLVM"
)

# Create imported target MLIRCAPIAsync
add_library(MLIRCAPIAsync STATIC IMPORTED)

set_target_properties(MLIRCAPIAsync PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRAsync;MLIRAsyncTransforms;MLIRPass;LLVM"
)

# Create imported target MLIRCAPIGPU
add_library(MLIRCAPIGPU STATIC IMPORTED)

set_target_properties(MLIRCAPIGPU PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRGPUTransforms;MLIRPass;LLVM"
)

# Create imported target MLIRCAPILLVM
add_library(MLIRCAPILLVM STATIC IMPORTED)

set_target_properties(MLIRCAPILLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRLLVMIR;LLVM"
)

# Create imported target MLIRCAPILinalg
add_library(MLIRCAPILinalg STATIC IMPORTED)

set_target_properties(MLIRCAPILinalg PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRLinalg;MLIRPass;MLIRLinalgTransforms;LLVM"
)

# Create imported target MLIRCAPISCF
add_library(MLIRCAPISCF STATIC IMPORTED)

set_target_properties(MLIRCAPISCF PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRSCF;LLVM"
)

# Create imported target MLIRCAPIShape
add_library(MLIRCAPIShape STATIC IMPORTED)

set_target_properties(MLIRCAPIShape PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRShape;LLVM"
)

# Create imported target MLIRCAPISparseTensor
add_library(MLIRCAPISparseTensor STATIC IMPORTED)

set_target_properties(MLIRCAPISparseTensor PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRSparseTensor;MLIRSparseTensorTransforms;LLVM"
)

# Create imported target MLIRCAPIStandard
add_library(MLIRCAPIStandard STATIC IMPORTED)

set_target_properties(MLIRCAPIStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRStandard;LLVM"
)

# Create imported target MLIRCAPITensor
add_library(MLIRCAPITensor STATIC IMPORTED)

set_target_properties(MLIRCAPITensor PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRTensor;LLVM"
)

# Create imported target MLIRCAPIConversion
add_library(MLIRCAPIConversion STATIC IMPORTED)

set_target_properties(MLIRCAPIConversion PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineToStandard;MLIRArmNeon2dToIntr;MLIRAsyncToLLVM;MLIRComplexToLLVM;MLIRComplexToStandard;MLIRGPUToGPURuntimeTransforms;MLIRGPUToNVVMTransforms;MLIRGPUToROCDLTransforms;MLIRGPUToSPIRV;MLIRGPUToVulkanTransforms;MLIRLinalgToLLVM;MLIRLinalgToSPIRV;MLIRLinalgToStandard;MLIRLLVMCommonConversion;MLIRMathToLibm;MLIRMathToLLVM;MLIRMemRefToLLVM;MLIROpenACCToLLVM;MLIROpenACCToSCF;MLIROpenMPToLLVM;MLIRPDLToPDLInterp;MLIRSCFToGPU;MLIRSCFToOpenMP;MLIRSCFToSPIRV;MLIRSCFToStandard;MLIRShapeToStandard;MLIRSPIRVToLLVM;MLIRStandardToLLVM;MLIRStandardToSPIRV;MLIRTosaToLinalg;MLIRTosaToSCF;MLIRTosaToStandard;MLIRVectorToROCDL;MLIRVectorToLLVM;MLIRVectorToGPU;MLIRVectorToSCF;MLIRVectorToSPIRV;LLVM"
)

# Create imported target MLIRCEXECUTIONENGINE
add_library(MLIRCEXECUTIONENGINE STATIC IMPORTED)

set_target_properties(MLIRCEXECUTIONENGINE PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRExecutionEngine;MLIRLLVMToLLVMIRTranslation;LLVM"
)

# Create imported target MLIRCAPIIR
add_library(MLIRCAPIIR STATIC IMPORTED)

set_target_properties(MLIRCAPIIR PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRParser;MLIRSupport;MLIRPass;LLVM"
)

# Create imported target MLIRCAPIRegistration
add_library(MLIRCAPIRegistration STATIC IMPORTED)

set_target_properties(MLIRCAPIRegistration PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRLLVMToLLVMIRTranslation;MLIRAffine;MLIRAffineTransforms;MLIRAffineUtils;MLIRArmNeon;MLIRArmSVE;MLIRArmSVETransforms;MLIRAsync;MLIRAsyncTransforms;MLIRAMX;MLIRAMXTransforms;MLIRComplex;MLIRDLTI;MLIREmitC;MLIRGPUOps;MLIRGPUTransforms;MLIRLinalgAnalysis;MLIRLinalg;MLIRLinalgTransforms;MLIRLinalgUtils;MLIRLLVMIRTransforms;MLIRLLVMIR;MLIRNVVMIR;MLIRROCDLIR;MLIRMath;MLIRMathTransforms;MLIRMemRef;MLIRMemRefTransforms;MLIRMemRefUtils;MLIROpenACC;MLIROpenMP;MLIRPDL;MLIRPDLInterp;MLIRQuant;MLIRSCF;MLIRSCFTransforms;MLIRShape;MLIRShapeOpsTransforms;MLIRSparseTensor;MLIRSparseTensorTransforms;MLIRSparseTensorUtils;MLIRSPIRV;MLIRSPIRVModuleCombiner;MLIRSPIRVConversion;MLIRSPIRVTransforms;MLIRSPIRVUtils;MLIRStandard;MLIRStandardOpsTransforms;MLIRTensor;MLIRTensorTransforms;MLIRTosa;MLIRTosaTransforms;MLIRVector;MLIRX86Vector;MLIRX86VectorTransforms;MLIRSPIRVDeserialization;MLIRSPIRVSerialization;MLIRSPIRVBinaryUtils;MLIRSPIRVTranslateRegistration;MLIRArmNeonToLLVMIRTranslation;MLIRArmSVEToLLVMIRTranslation;MLIRAMXToLLVMIRTranslation;MLIRLLVMToLLVMIRTranslation;MLIRNVVMToLLVMIRTranslation;MLIROpenACCToLLVMIRTranslation;MLIROpenMPToLLVMIRTranslation;MLIRROCDLToLLVMIRTranslation;MLIRX86VectorToLLVMIRTranslation;MLIRTargetLLVMIRExport;MLIRToLLVMIRTranslationRegistration;MLIRTargetLLVMIRImport;MLIRAffineToStandard;MLIRArmNeon2dToIntr;MLIRAsyncToLLVM;MLIRComplexToLLVM;MLIRComplexToStandard;MLIRGPUToGPURuntimeTransforms;MLIRGPUToNVVMTransforms;MLIRGPUToROCDLTransforms;MLIRGPUToSPIRV;MLIRGPUToVulkanTransforms;MLIRLinalgToLLVM;MLIRLinalgToSPIRV;MLIRLinalgToStandard;MLIRLLVMCommonConversion;MLIRMathToLibm;MLIRMathToLLVM;MLIRMemRefToLLVM;MLIROpenACCToLLVM;MLIROpenACCToSCF;MLIROpenMPToLLVM;MLIRPDLToPDLInterp;MLIRSCFToGPU;MLIRSCFToOpenMP;MLIRSCFToSPIRV;MLIRSCFToStandard;MLIRShapeToStandard;MLIRSPIRVToLLVM;MLIRStandardToLLVM;MLIRStandardToSPIRV;MLIRTosaToLinalg;MLIRTosaToSCF;MLIRTosaToStandard;MLIRVectorToROCDL;MLIRVectorToLLVM;MLIRVectorToGPU;MLIRVectorToSCF;MLIRVectorToSPIRV;LLVM"
)

# Create imported target MLIRCAPITransforms
add_library(MLIRCAPITransforms STATIC IMPORTED)

set_target_properties(MLIRCAPITransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRTransforms;LLVM"
)

# Create imported target MLIRMlirOptMain
add_library(MLIRMlirOptMain STATIC IMPORTED)

set_target_properties(MLIRMlirOptMain PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRAffineTransforms;MLIRAffineUtils;MLIRArmNeon;MLIRArmSVE;MLIRArmSVETransforms;MLIRAsync;MLIRAsyncTransforms;MLIRAMX;MLIRAMXTransforms;MLIRComplex;MLIRDLTI;MLIREmitC;MLIRGPUOps;MLIRGPUTransforms;MLIRLinalgAnalysis;MLIRLinalg;MLIRLinalgTransforms;MLIRLinalgUtils;MLIRLLVMIRTransforms;MLIRLLVMIR;MLIRNVVMIR;MLIRROCDLIR;MLIRMath;MLIRMathTransforms;MLIRMemRef;MLIRMemRefTransforms;MLIRMemRefUtils;MLIROpenACC;MLIROpenMP;MLIRPDL;MLIRPDLInterp;MLIRQuant;MLIRSCF;MLIRSCFTransforms;MLIRShape;MLIRShapeOpsTransforms;MLIRSparseTensor;MLIRSparseTensorTransforms;MLIRSparseTensorUtils;MLIRSPIRV;MLIRSPIRVModuleCombiner;MLIRSPIRVConversion;MLIRSPIRVTransforms;MLIRSPIRVUtils;MLIRStandard;MLIRStandardOpsTransforms;MLIRTensor;MLIRTensorTransforms;MLIRTosa;MLIRTosaTransforms;MLIRVector;MLIRX86Vector;MLIRX86VectorTransforms;MLIRAffineToStandard;MLIRArmNeon2dToIntr;MLIRAsyncToLLVM;MLIRComplexToLLVM;MLIRComplexToStandard;MLIRGPUToGPURuntimeTransforms;MLIRGPUToNVVMTransforms;MLIRGPUToROCDLTransforms;MLIRGPUToSPIRV;MLIRGPUToVulkanTransforms;MLIRLinalgToLLVM;MLIRLinalgToSPIRV;MLIRLinalgToStandard;MLIRLLVMCommonConversion;MLIRMathToLibm;MLIRMathToLLVM;MLIRMemRefToLLVM;MLIROpenACCToLLVM;MLIROpenACCToSCF;MLIROpenMPToLLVM;MLIRPDLToPDLInterp;MLIRSCFToGPU;MLIRSCFToOpenMP;MLIRSCFToSPIRV;MLIRSCFToStandard;MLIRShapeToStandard;MLIRSPIRVToLLVM;MLIRStandardToLLVM;MLIRStandardToSPIRV;MLIRTosaToLinalg;MLIRTosaToSCF;MLIRTosaToStandard;MLIRVectorToROCDL;MLIRVectorToLLVM;MLIRVectorToGPU;MLIRVectorToSCF;MLIRVectorToSPIRV;MLIRLoopAnalysis;MLIRAnalysis;MLIRDialect;MLIROptLib;MLIRParser;MLIRPass;MLIRTransforms;MLIRTransformUtils;MLIRSupport;MLIRIR;LLVM"
)

# Create imported target MLIR
add_library(MLIR SHARED IMPORTED)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/MLIRTargets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# Make sure the targets which have been exported in some other
# export set exist.
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
foreach(_target "LLVM" )
  if(NOT TARGET "${_target}" )
    set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets "${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets} ${_target}")
  endif()
endforeach()

if(DEFINED ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
  if(CMAKE_FIND_PACKAGE_NAME)
    set( ${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
    set( ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  else()
    message(FATAL_ERROR "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  endif()
endif()
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
